Page 1 of 1

Upgrade Problem

Posted: Tue Jul 16, 2019 10:00 pm
by jimkoh
I upgraded my server to Debian 10, then followed the instructions for installing ZM the easy way. I didn't see any errors and the service is running, but when I go to the link in my browser I get this error: Unable to connect to ZM db.could not find driver
Does anyone have any ideas?
Thanks
Jim

Re: Upgrade Problem

Posted: Tue Jul 16, 2019 10:30 pm
by bbunge
Check for a version of PHP older than 7.3.

Re: Upgrade Problem

Posted: Wed Jul 17, 2019 12:47 am
by jimkoh
The version is PHP 7.3.4-2

Re: Upgrade Problem

Posted: Fri Jul 19, 2019 2:27 pm
by jimkoh
I uninstalled zoneminder and did a fresh install following the updated instructions. I can log in to and create a database outside of zoneminder without a problem. But zoneminder still gives me the error: Unable to connect to ZM db.could not find driver

Re: Upgrade Problem

Posted: Fri Jul 19, 2019 3:32 pm
by bbunge
Still sounds like you have an old version of PHP lurking on your server. It may be time well spent to start over with a fresh Linux install.

Re: Upgrade Problem

Posted: Fri Jul 19, 2019 7:22 pm
by jimkoh
I did a fresh install in a virtual machine and got it running. However, I'm not able to add a camera. Nothing happens when I click on the Add button.

Re: Upgrade Problem

Posted: Sat Jul 20, 2019 5:26 pm
by jimkoh
I'm trying another fresh install. When I get to this step: sudo dpkg -i deb-multimedia-keyring_2016.8.1_all.deb I get the following error message: dpkg: warning: 'ldconfig' not found in PATH or not executable
dpkg: warning: 'start-stop-daemon' not found in PATH or not executable
dpkg: error: 2 expected programs not found in PATH or not executable
Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin

Re: Upgrade Problem

Posted: Sat Jul 20, 2019 7:30 pm
by bbunge
There is a problem with the new zoneminder.conf from deb-multimedia. Contents of a good zoneminder.conf has been posted on the WIKI.

Re: Upgrade Problem

Posted: Sat Jul 20, 2019 8:12 pm
by jimkoh
Following the directions, after I run this command: a2enconf zoneminder I get this error:
ERROR: Conf zoneminder not properly enabled: /etc/apache2/conf-enabled/zoneminder.conf is a real file, not touching it

Re: Upgrade Problem

Posted: Sat Jul 20, 2019 9:16 pm
by bbunge
jimkoh wrote:
Sat Jul 20, 2019 8:12 pm
Following the directions, after I run this command: a2enconf zoneminder I get this error:
ERROR: Conf zoneminder not properly enabled: /etc/apache2/conf-enabled/zoneminder.conf is a real file, not touching it
That is the file you have to edit!

Re: Upgrade Problem

Posted: Sun Jul 21, 2019 2:36 pm
by jimkoh
I created the file per the wiki and it has all the correct information.